For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at /guide/api/endpoints/checklist/checklists-templates-update.md.
Update a checklist template
When items is supplied the item set is replaced.
POST
/api/v1/partner/checklists/templates/updateWhen items is supplied the item set is replaced. Payload: {template_id*, name?, checklist_group_id?, auto_attach?, is_active?, items?:[{label}]}.
#Authorizations
X-API-KEYstringrequiredDeveloper API key (starts with osk_)
Example: osk_1234567890abcdef1234567890abcdef
#Headers
AcceptstringrequiredContent type of response
Example: application/json
Content-TypestringrequiredContent type of request
Example: application/json
#Request body
encrypted_datastringrequired#Responses
200Success
400Validation error
404Template not found